PSTREE(1)

NAME
pstree - display a tree of processes

SYNOPSIS
pstree [-c] [-h] [-l] [-p] [-u] [pid|user]

DESCRIPTION
pstree shows running processes as a tree. The tree is rooted at either pid or init if pid is omitted. If a user name is specified, all process trees rooted at processes owned by that user are shown.

pstree visually merges identical branches by putting them in square brackets and prefixing them with the repetition count, e.g.

    init---getty
         |-getty
         |-getty
         \-getty

becomes

    init---4*[getty]

OPTIONS

-c  Disable compaction of identical subtrees. By default, subtrees are compacted whenever possible.

-h  Highlight the current process and its ancestors. This is a no-op if the terminal doesn't support highlighting or if neither the current process nor any of its ancestors are in the subtree being shown.

-l  Display long lines. By default, lines are truncated to the display width or 132 if output is sent to a non-tty or if the display width is unknown.

-p  Show PIDs. PIDs are shown as decimal numbers in parentheses after each process name. -p implicitly disables compaction.

-u  Show uid transitions. Whenever the uid of a process differs from the uid of its parent, the new uid is shown in parentheses after the process name.

FILES
/proc	location of the proc file system

SEE ALSO
ps(1), top(1)

AUTHOR
Werner Almesberger <almesber@bernina.ethz.ch>